Skip to main content
GET
Typescript (SDK)

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

agent_id
string
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
order
enum<string>
default:desc
Available options:
asc,
desc

Response

A list of agent schedules.

object
enum<string>
required
Available options:
list
data
object[]
required
first_id
string | null
required
last_id
string | null
required
has_more
boolean
required